# Uses of Interface
org.eclipse.emf.cdo.server.IRepository.Handler

Packages that use IRepository.Handler
Package
Description
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.

## Uses of IRepository.Handler in org.eclipse.emf.cdo.server

Subinterfaces of IRepository.Handler in org.eclipse.emf.cdo.server
Modifier and Type
Interface
Description
`static interface`
`IRepository.ReadAccessHandler`
Provides a way to handle revisions that are to be sent to the client.
`static interface`
`IRepository.WriteAccessHandler`
Provides a way to handle commits that are received from a client.
Classes in org.eclipse.emf.cdo.server that implement IRepository.Handler
Modifier and Type
Class
Description
`static class`
`CDOServerUtil.RepositoryReadAccessValidator`
An abstract `read-access handler` that grants or denies access to single `revisions`.
Methods in org.eclipse.emf.cdo.server that return types with arguments of type IRepository.Handler
Modifier and Type
Method
Description
`Set<IRepository.Handler>`
IRepository.`getHandlers()`
Methods in org.eclipse.emf.cdo.server with parameters of type IRepository.Handler
Modifier and Type
Method
Description
`void`
IRepository.`addHandler(IRepository.Handler handler)`
`void`
IRepository.`removeHandler(IRepository.Handler handler)`

## Uses of IRepository.Handler in org.eclipse.emf.cdo.spi.server

Classes in org.eclipse.emf.cdo.spi.server that implement IRepository.Handler
Modifier and Type
Class
Description
`class`
`ObjectWriteAccessHandler`
If the meaning of this type isn't clear, there really should be more of a description here...